Skip to main content
PATCH
/
api
/
settings
/
security
Patch Security Settings
curl --request PATCH \
  --url https://api.example.com/api/settings/security \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "require_2fa": true,
  "filesystem_access_enabled": true
}
'
{
  "require_2fa": false,
  "filesystem_access_enabled": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Cookies

antidote_session
string | null

Body

application/json
require_2fa
boolean | null
filesystem_access_enabled
boolean | null

Response

Successful Response

require_2fa
boolean
default:false
filesystem_access_enabled
boolean
default:true